<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* schedule-form-add.twig */
class __TwigTemplate_405d82378997068f024cb31279088492ffdf644515be48a271697bbd7182bf4d extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "schedule-form-add.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "schedule-form-add.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Schedule Event");
    }

    // line 30
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "setupScheduleForm";
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Next");
        echo ", XiboDialogApply(\"#scheduleAddForm\")
    ";
        // line 36
        echo __("Save");
        echo ", beforeSubmitScheduleForm(\$(\"#scheduleAddForm\"))
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item repeats\"><a class=\"nav-link\" href=\"#repeats\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Repeats");
        echo "</span></a></li>
                <li class=\"nav-item reminders\"><a class=\"nav-link\" href=\"#reminders\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Reminder");
        echo "</span></a></li>
                <li class=\"nav-item geoSchedule\"><a class=\"nav-link\" href=\"#geoSchedule\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Geo Location");
        echo "</span></a></li>
            </ul>
            ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["dayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "            ";
        ob_start(function () { return ''; });
        echo __("Start and end time will be defined by the daypart's configuration for this day of the week. Use a repeating schedule to apply this event over multiple days");
        $context["notDayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "            <form id=\"scheduleAddForm\" autocomplete=\"off\" class=\"form-horizontal\" method=\"post\" action=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.add"), "html", null, true);
        echo "\" data-daypart-message=\"";
        echo twig_escape_filter($this->env, ($context["dayPartMessage"] ?? null), "html", null, true);
        echo "\" data-not-daypart-message=\"";
        echo twig_escape_filter($this->env, ($context["notDayPartMessage"] ?? null), "html", null, true);
        echo "\" data-default-lat=\"";
        echo twig_escape_filter($this->env, ($context["defaultLat"] ?? null), "html", null, true);
        echo "\" data-default-long = \"";
        echo twig_escape_filter($this->env, ($context["defaultLong"] ?? null), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">

                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Event Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of event to schedule");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["layoutEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Campaign");
        $context["campaignEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Command");
        $context["commandEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Overlay Layout");
        $context["overlayEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Interrupt Layout");
        $context["interruptEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Action");
        $context["actionEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        $context["eventTypes"] = [0 => ["id" => 1, "label" =>         // line 63
($context["layoutEventType"] ?? null)], 1 => ["id" => 5, "label" =>         // line 64
($context["campaignEventType"] ?? null)], 2 => ["id" => 2, "label" =>         // line 65
($context["commandEventType"] ?? null)], 3 => ["id" => 3, "label" =>         // line 66
($context["overlayEventType"] ?? null)], 4 => ["id" => 4, "label" =>         // line 67
($context["interruptEventType"] ?? null)], 5 => ["id" => 6, "label" =>         // line 68
($context["actionEventType"] ?? null)]];
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["eventTypeId", "single", ($context["title"] ?? null), "", ($context["eventTypes"] ?? null), "id", "label", ($context["helpText"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select one or more displays / groups for this event to be shown on.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.search")], 1 => ["name" => "data-trans-groups", "value" => __("Groups")], 2 => ["name" => "data-trans-display", "value" => __("Display")]];
        // line 79
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["displayGroupIds[]", "dropdownmulti", ($context["title"] ?? null), ($context["displayGroupIds"] ?? null), ($context["displayGroups"] ?? null), "displayGroupId", "displayGroup", ($context["helpText"] ?? null), "", "", "", "", ($context["attributes"] ?? null)], 79, $context, $this->getSourceContext());
        echo "

                        ";
        // line 81
        ob_start(function () { return ''; });
        echo __("Dayparting");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the dayparting information for this event. To set your own times select custom and to have the event run constantly select Always.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        <div class=\"form-group row day-part-control\">
                            <label class=\"col-sm-2 control-label\" for=\"dayPartId\">";
        // line 84
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <select class=\"form-control\" name=\"dayPartId\" id=\"dayPartId\">
                                    ";
        // line 87
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["dayParts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["dayPart"]) {
            // line 88
            echo "                                        <option ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["dayPart"], "isCustom", [], "any", false, false, false, 88), 1))) {
                echo "selected";
            }
            // line 89
            echo "                                                value=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "dayPartId", [], "any", false, false, false, 89), "html", null, true);
            echo "\"
                                                data-is-always=\"";
            // line 90
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "isAlways", [], "any", false, false, false, 90), "html", null, true);
            echo "\"
                                                data-is-custom=\"";
            // line 91
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "isCustom", [], "any", false, false, false, 91), "html", null, true);
            echo "\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "name", [], "any", false, false, false, 91), "html", null, true);
            echo "</option>
                                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['dayPart'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 93
        echo "                                </select>
                                <small class=\"form-text text-muted\">";
        // line 94
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</small>
                            </div>
                        </div>

                        ";
        // line 98
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["fromDt", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "starttime-control", "required"], 100, $context, $this->getSourceContext());
        echo "

                        ";
        // line 102
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the end time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["toDt", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "endtime-control", "required"], 104, $context, $this->getSourceContext());
        echo "

                        ";
        // line 107
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => ($this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.search") . "?type=list")], 1 => ["name" => "data-search-is-layout-specific", "value" =>  -1], 2 => ["name" => "data-trans-layout", "value" => __("Layout")], 3 => ["name" => "data-trans-layout-help-text", "value" => __("Please select a Layout for this Event to show")], 4 => ["name" => "data-trans-campaign", "value" => __("Campaign")], 5 => ["name" => "data-trans-campaign-help-text", "value" => __("Please select a Campaign for this Event to show")]];
        // line 115
        echo "
                        ";
        // line 116
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a Layout for this Event to show");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["campaignId", "single", ($context["title"] ?? null), "", null, "id", "value", ($context["helpText"] ?? null), "layout-control", "", "", "", ($context["attributes"] ?? null)], 118, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row preview-button-container\">
                            <div class=\"offset-md-2 col-md-10\">
                                <a id=\"previewButton\" class=\"btn btn-success\" target=\"_blank\" data-url=\"";
        // line 122
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.preview", ["id" => ":id"]), "html", null, true);
        echo "\">";
        echo __("Preview");
        echo " <span class=\"fa fa-tablet\"></span></a>
                                <small class=\"form-text text-muted\">";
        // line 123
        echo __("Preview your selection in a new tab");
        echo "</small>
                            </div>
                        </div>

                        <div class=\"form-group row interrupt-control\" style=\"display: flex;\">
                            <label class=\"col-sm-2 control-label\" for=\"shareOfVoice\" accesskey=\"\">";
        // line 128
        echo __("Share of Voice");
        echo "</label>
                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoice\" type=\"number\" id=\"shareOfVoice\" value=\"0\" min=\"0\" max=\"3600\" step=\"1\">
                                <small class=\"form-text text-muted\">";
        // line 131
        echo __("The amount of time this Layout should be shown, in seconds per hour.");
        echo "</small>
                            </div>

                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoicePercentage\" type=\"number\" id=\"shareOfVoicePercentage\" value=\"\">
                                <small class=\"form-text text-muted\">";
        // line 136
        echo __("As a percentage");
        echo "</small>
                            </div>
                        </div>

                        ";
        // line 140
        ob_start(function () { return ''; });
        echo __("Action Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select action Type");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Navigate to Layout");
        $context["navLayout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Command");
        $context["command"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "navLayout", "type" =>         // line 145
($context["navLayout"] ?? null)], 1 => ["typeid" => "command", "type" =>         // line 146
($context["command"] ?? null)]];
        // line 148
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["actionType", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "action-control"], 148, $context, $this->getSourceContext());
        echo "

                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Trigger Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Web hook trigger code for this Action");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["actionTriggerCode", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "action-control"], 152, $context, $this->getSourceContext());
        echo "

                        ";
        // line 154
        ob_start(function () { return ''; });
        echo __("Layout Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the Code identifier for the Layout that Player should navigate to when this Action is triggered.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "
                        ";
        // line 157
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "100%"], 1 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.code.search")], 2 => ["name" => "data-search-term", "value" => "code"], 3 => ["name" => "data-id-property", "value" => "code"], 4 => ["name" => "data-text-property", "value" => "code"]];
        // line 164
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["actionLayoutCode", "single", ($context["title"] ?? null), "", null, "code", "code", ($context["helpText"] ?? null), "pagedSelect action-control layout-code-control", "", "", "", ($context["attributes"] ?? null)], 164, $context, $this->getSourceContext());
        echo "

                        ";
        // line 166
        ob_start(function () { return ''; });
        echo __("Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a command for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["commandId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["commandId" => "", "command" => ""]], ($context["commands"] ?? null)), "commandId", "command", ($context["helpText"] ?? null), "command-control"], 168, $context, $this->getSourceContext());
        echo "

                        ";
        // line 170
        ob_start(function () { return ''; });
        echo __("Display Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the order this event should appear in relation to others when there is more than one event scheduled");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["displayOrder", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "displayOrder-control"], 172, $context, $this->getSourceContext());
        echo "

                        ";
        // line 174
        ob_start(function () { return ''; });
        echo __("Priority");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sets the event priority - events with the highest priority play in preference to lower priority events.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["isPriority", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "priority-control"], 176, $context, $this->getSourceContext());
        echo "

                        ";
        // line 178
        ob_start(function () { return ''; });
        echo __("Maximum plays per hour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 179
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Limit the number of times this event will play per hour on each display. For unlimited plays set to 0.");
        echo twig_call_macro($macros["forms"], "macro_playerCompat", ["R308", "", "", "", "R306", ""], 179, $context, $this->getSourceContext());
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 180
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxPlaysPerHour", ($context["title"] ?? null), 0, ($context["helpText"] ?? null), "max-plays-control"], 180, $context, $this->getSourceContext());
        echo "

                        ";
        // line 182
        ob_start(function () { return ''; });
        echo __("Run at CMS Time?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 183
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When selected, your event will run according to the timezone set on the CMS, otherwise the event will run at Display local time");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["syncTimezone", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 184, $context, $this->getSourceContext());
        echo "

                        ";
        // line 186
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "EVENT_SYNC", [], "any", false, false, false, 186), 1))) {
            // line 187
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Synchronise this event?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 188
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("When selected, all selected players will attempt to synchronise the output (Supported on Android player only)");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 189
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["syncEvent", ($context["title"] ?? null), 0, ($context["helpText"] ?? null), "sync-schedule-control"], 189, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 191
        echo "                    </div>

                    <div class=\"tab-pane\" id=\"repeats\">
                        ";
        // line 194
        ob_start(function () { return ''; });
        echo __("Repeats");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 195
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of Repeat required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 196
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 197
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Per Minute");
        $context["minute"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 198
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["hourly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 199
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["daily"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["weekly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 201
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["monthly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 202
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["yearly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        $context["options"] = [0 => ["id" => "", "name" =>         // line 204
($context["noneOption"] ?? null)], 1 => ["id" => "Minute", "name" =>         // line 205
($context["minute"] ?? null)], 2 => ["id" => "Hour", "name" =>         // line 206
($context["hourly"] ?? null)], 3 => ["id" => "Day", "name" =>         // line 207
($context["daily"] ?? null)], 4 => ["id" => "Week", "name" =>         // line 208
($context["weekly"] ?? null)], 5 => ["id" => "Month", "name" =>         // line 209
($context["monthly"] ?? null)], 6 => ["id" => "Year", "name" =>         // line 210
($context["yearly"] ?? null)]];
        // line 212
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceType", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null)], 212, $context, $this->getSourceContext());
        echo "

                        ";
        // line 214
        ob_start(function () { return ''; });
        echo __("Use the drop-down to select which days of the week this Event should be repeated.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 215
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monday");
        $context["monday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 216
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tuesday");
        $context["tuesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 217
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Wednesday");
        $context["wednesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 218
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Thursday");
        $context["thursday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 219
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Friday");
        $context["friday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 220
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Saturday");
        $context["saturday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 221
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sunday");
        $context["sunday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 222
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "name" =>         // line 223
($context["monday"] ?? null)], 1 => ["id" => 2, "name" =>         // line 224
($context["tuesday"] ?? null)], 2 => ["id" => 3, "name" =>         // line 225
($context["wednesday"] ?? null)], 3 => ["id" => 4, "name" =>         // line 226
($context["thursday"] ?? null)], 4 => ["id" => 5, "name" =>         // line 227
($context["friday"] ?? null)], 5 => ["id" => 6, "name" =>         // line 228
($context["saturday"] ?? null)], 6 => ["id" => 7, "name" =>         // line 229
($context["sunday"] ?? null)]];
        // line 231
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceRepeatsOn[]", "dropdownmulti", "", "", ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null), "repeat-weekly-control-group"], 231, $context, $this->getSourceContext());
        echo "

                        ";
        // line 233
        ob_start(function () { return ''; });
        echo __("Should this Event Repeat by Day of the month (eg. Monthly on Day 21) or by a Weekday in the month (eg. Monthly on the third Thursday).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 234
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-trans-day", "value" => __("on the [DAY] day")], 1 => ["name" => "data-trans-weekday", "value" => __("on the [POSITION] [WEEKDAY]")]];
        // line 238
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceMonthlyRepeatsOn", "single", "", 0, [], "id", "name", ($context["helpText"] ?? null), "repeat-monthly-control-group", "", "", "", ($context["attributes"] ?? null)], 238, $context, $this->getSourceContext());
        echo "

                        ";
        // line 240
        ob_start(function () { return ''; });
        echo __("Every");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 241
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Include a number to determine the Repeat frequency required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 242
        echo "                        <div class=\"form-group row repeat-control-group\">
                            <label class=\"col-sm-2 control-label\" for=\"recurrenceDetail\">";
        // line 243
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <div class=\"input-group\">
                                    <input class=\"form-control\" name=\"recurrenceDetail\" type=\"number\" id=\"recurrenceDetail\" value=\"";
        // line 246
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceDetail", [], "any", false, false, false, 246), "html", null, true);
        echo "\" />
                                    <div class=\"input-group-append\">
                                        <span class=\"input-group-text input-group-addon\"></span>
                                    </div>
                                </div>
                                <span class=\"form-text text-muted\">";
        // line 251
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 255
        ob_start(function () { return ''; });
        echo __("Until");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 256
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a date and time to end the Repeat for this Event. Leave empty to Repeat indefinitely.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 257
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["recurrenceRange", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "repeat-control-group", "", ""], 257, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"reminders\">
                        ";
        // line 261
        ob_start(function () { return ''; });
        echo __("Use the form fields below to create a set of reminders for this event. New fields can be added by clicking on the + icon at the end of the row. Use the tick box to receive a notification by email alternatively reminders will be shown in the message center.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 262
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 262, $context, $this->getSourceContext());
        echo "
                        <div id=\"reminderFields\" data-reminders=\"";
        // line 263
        echo twig_escape_filter($this->env, json_encode(($context["reminders"] ?? null)), "html", null, true);
        echo "\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"geoSchedule\">
                        ";
        // line 267
        ob_start(function () { return ''; });
        echo __("Geo Schedule?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 268
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this event be location aware? Enable this checkbox and select an area by drawing a polygon or rectangle layer on the map below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 269
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isGeoAware", ($context["title"] ?? null), 0, ($context["helpText"] ?? null), ""], 269, $context, $this->getSourceContext());
        echo "

                        <div id=\"geoScheduleMap\" style=\"height: 500px; width: 100%\" class=\"d-none\"></div>

                        ";
        // line 273
        echo twig_call_macro($macros["forms"], "macro_hidden", ["geoLocation", ""], 273, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "schedule-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  735 => 273,  727 => 269,  722 => 268,  718 => 267,  711 => 263,  706 => 262,  702 => 261,  694 => 257,  689 => 256,  685 => 255,  678 => 251,  670 => 246,  664 => 243,  661 => 242,  656 => 241,  652 => 240,  646 => 238,  643 => 234,  639 => 233,  633 => 231,  631 => 229,  630 => 228,  629 => 227,  628 => 226,  627 => 225,  626 => 224,  625 => 223,  623 => 222,  618 => 221,  613 => 220,  608 => 219,  603 => 218,  598 => 217,  593 => 216,  588 => 215,  584 => 214,  578 => 212,  576 => 210,  575 => 209,  574 => 208,  573 => 207,  572 => 206,  571 => 205,  570 => 204,  568 => 203,  563 => 202,  558 => 201,  553 => 200,  548 => 199,  543 => 198,  538 => 197,  533 => 196,  528 => 195,  524 => 194,  519 => 191,  513 => 189,  508 => 188,  503 => 187,  501 => 186,  495 => 184,  490 => 183,  486 => 182,  480 => 180,  474 => 179,  470 => 178,  464 => 176,  459 => 175,  455 => 174,  449 => 172,  444 => 171,  440 => 170,  434 => 168,  429 => 167,  425 => 166,  419 => 164,  417 => 157,  414 => 156,  409 => 155,  405 => 154,  399 => 152,  394 => 151,  390 => 150,  384 => 148,  382 => 146,  381 => 145,  379 => 144,  374 => 143,  369 => 142,  364 => 141,  360 => 140,  353 => 136,  345 => 131,  339 => 128,  331 => 123,  325 => 122,  317 => 118,  312 => 117,  308 => 116,  305 => 115,  302 => 107,  296 => 104,  291 => 103,  287 => 102,  281 => 100,  276 => 99,  272 => 98,  265 => 94,  262 => 93,  252 => 91,  248 => 90,  243 => 89,  238 => 88,  234 => 87,  228 => 84,  225 => 83,  220 => 82,  216 => 81,  210 => 79,  207 => 74,  202 => 73,  198 => 72,  192 => 70,  190 => 68,  189 => 67,  188 => 66,  187 => 65,  186 => 64,  185 => 63,  183 => 62,  178 => 61,  173 => 60,  168 => 59,  163 => 58,  158 => 57,  153 => 56,  148 => 55,  144 => 54,  128 => 50,  123 => 49,  119 => 48,  114 => 46,  110 => 45,  106 => 44,  102 => 43,  97 => 40,  93 => 39,  87 => 36,  83 => 35,  79 => 34,  72 => 33,  68 => 32,  61 => 30,  56 => 27,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "schedule-form-add.twig", "/home/mgatv524/pmj.mgaplay.com.br/views/schedule-form-add.twig");
    }
}
