<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* clock-designer-javascript.twig */
class __TwigTemplate_3560a77585960e0f4a47983c3a35d48d75bbe152328cfaf4011b1fd49f0d8675 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        echo "<script type=\"text/javascript\">

    // Runs after form opens
    function clock_form_edit_open() {

        // Set duration field, using the helper ()
        formHelpers.setupCheckboxInputFields(\$(this).find('form'), '#useDuration', '.duration-fields');

        // Set clock type input field, using the helper ()
        formHelpers.setupObjectValueInputFields(\$(this), '#clockTypeId', ['.analogue-control-group', '.digital-control-group', '.flip-control-group'], [1, 2, 3]);

        // Setup editors
        formHelpers.setupDualTypeTextArea(this, 'ta_text', !\$(this).data('formEditorOnly'), '[' + jsTimeFormat + ']');

        // For the clock type, we need to check if it's not digital, and destroy the inline editor for that specific case
        var self = this;
        var clockTypeChangeBehaviour = function(form) {
            if(!\$(self).data('formEditorOnly')) {
                if(\$(form).find('form #clockTypeId').val() !== '2') {
                    \$(form).data().viewerObject.setupInlineEditor('ta_text', false);
                    \$(form).find('.template-tab').hide();
                } else {
                    var isChecked = \$(form).find('#ta_text_advanced').is(':checked');
                    \$(form).data().viewerObject.setupInlineEditor('ta_text', isChecked);
                    \$(form).find('.template-tab').show();
                }
            }
        };

        // On select input change, check clock type
        \$(this).find('form #clockTypeId').on('change input', function() {
            clockTypeChangeBehaviour(\$(self));
        });

        clockTypeChangeBehaviour(\$(self));
    }

    // Runs before form submit
    function clock_form_edit_submit() {  

        // Update text callback fields
        formHelpers.updateCKEditor();
    }

</script>";
    }

    public function getTemplateName()
    {
        return "clock-designer-javascript.twig";
    }

    public function getDebugInfo()
    {
        return array (  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "clock-designer-javascript.twig", "/home/mgatv524/pmj.mgaplay.com.br/modules/clock-designer-javascript.twig");
    }
}
